man(1)

NOME
man - formatar e mostrar as páginas do manual on-line
manpath - determinar o manpath inicial para o utilizador

SINOPSE
man [-acdfhktw] [-m sistema] [-p string] [-C fich_config] [-M path] [-P paginador] [-S lista_sec] [secção] nome ...

DESCRIÇÃO
man formata e mostra as páginas do manual `on-line'. Esta versão reconhece as variáveis de ambiente (environment) MANPATH e (MAN)PAGER (vêr a seguir). Se a secção for indicada, man apenas procura nessa secção de manuais. Pode também indicar por que ordem das secções deve procurar e que preprocessamento efectuar nos manuais, por meio de opções na linha de comando ou variáveis de ambiente. Se nome contiver uma / tentará primeiro o ficheiro com esse nome, permitindo fazer man ./foo.5 ou mesmo man /cd/foo/bar.1.gz para formatar e vêr um ficheiro em particular.

OPÇÕES

-C  fich_config
    Indica o ficheiro de configuração a usar; por omissão será usado /etc/man.conf. (Veja man.conf(5).)

-M  path
    Indica a lista de directórios onde procurar manuais. Sem esta opção, será consultada a variável MANPATH. Se também esta variável estiver definida, uma lista será obtida por consulta de /etc/man.conf. Um directório vazio em MANPATH representa a lista anterior.

-P  paginador
    Indica qual o paginador/visualisador a usar. Sem esta opção tentará consultar a variável PAGER. Normalmente, man usará /usr/bin/less -is.

-S  lista_sec
    Fornece a lista de secções (separadas por ,) onde procurar e por que ordem. Esta opção substitui o que é indicado pela variável MANSECT quando esta está definida.

-a  Normalmente man mostra o primeiro manual que encontrar. Esta opção faz com que mostre todas as páginas de manuais encontradas para a entrada nome.

-d  Não mostra o manual, imprimindo vária informação para `debug'.

-f  Equivalente a whatis.

-h  Imprime apenas uma mensagem de ajuda.

-k  Equivalente a apropos.

-m  sistema
    Indica um conjunto de manuais diferente aplicáveis ao sistema indicado.

-p  string
    Especifica uma sequência de preprocessadores a usar antes de nroff ou troff (os formatadores). Algumas instalações podem não ter todos os preprocessadores. Alguns preprocessadores e as letras a usar para os indicar são: eqn (e), grap (g), pic (p), tbl (t), vgrind (v), refer (r). Esta opção sobrepõe-se à variável MANROFFSEQ.

-t  Usar /usr/bin/groff -Tps -mandoc para formatar as páginas do manual. A saída deste comando pode ter ainda de ser processada por outro antes de a poder imprimir.

-w or --path
    Não imprime as páginas do manual, mas mostra a(s) localização(ões) dos ficheiros a formatar e mostrar, para a entrada de nome indicado. Se não fornecer mais nenhuma opção mostra a lista de directórios que serão percorridos por man nas suas buscas. Se manpath é um `link' para man, então "manpath" é equivalente a "man --path".

AMBIENTE

MANPATH
    Se MANPATH estiver definido, o seu valor será usado como a lista de directórios (manpath) onde podem estar entradas do manual.

MANROFFSEQ
    Se MANROFFSEQ está definido, o seu valor determina os preprocessamentos a aplicar antes de nroff ou troff. Normalmente, as páginas de manual, são preprocessadas pelo tbl antes de nroff.

MANSECT
    Se MANSECT existir, o seu valor indica as secções a percorrer.

PAGER
    Se PAGER está definido, indicará o programa a usar para mostrar o manual. Normalmente usará /usr/bin/less -is.

VEJA TAMBÉM
apropos(1), whatis(1), less(1), groff(1).

BUGS
-t só funciona se existir o programa troff ou equivalente.